{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Delete Event' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1 class="text-center">{% trans "Delete Event" %}</h1>
                </div>
                <div class="card-body">
                    <form novalidate method="post">
                        {% csrf_token %}
                        <div class="form-group text-center">
                            {% trans "Are you sure you want to delete the event?" %}
                            <br>
                            {% trans "This action is irreversible." %}
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between" style="flex-wrap: wrap;">
                            <div>
                                <a class="btn btn-secondary {% if not request.GET.next %}disabled{% endif %}" href="{{ request.GET.next }}">
                                    <i class="fas fa-arrow-left"></i>
                                </a>
                            </div>
                            <div>
                                {% block extra_form_buttons %}{% endblock extra_form_buttons %}
                                {% if event.subsequent %}
                                <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"><i
                                        class="fas fa-trash fa-fw mr-1"></i>{% trans "Delete" %}</button>
                                {% else %}
                                <button type="submit" class="btn btn-danger"><i
                                        class="fas fa-trash fa-fw mr-1"></i>{% trans "Delete" %}</button>
                                {% endif %}
                            </div>
                        </div>
                        <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="deleteModalLabel"
                            aria-hidden="true">
                            <div class="modal-dialog modal-dialog-centered" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="deleteModalLabel">Delete recurring event</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="thisRadio" name="modalRadio" class="custom-control-input" value="1"
                                                checked>
                                            <label class="custom-control-label" for="thisRadio">This event</label>
                                        </div>
                                        <div class="custom-control custom-radio">
                                            <input type="radio" id="followingRadio" name="modalRadio" class="custom-control-input"
                                                value="2">
                                            <label class="custom-control-label" for="followingRadio">This and following events</label>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger"><i
                                                class="fas fa-trash fa-fw mr-1"></i>{% trans "Delete" %}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}